=== debian/changelog ===
mysql-workbench (6.3.4+dfsg-1build2) wily; urgency=medium

  * No-change rebuild against libgdal1i

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 23 Aug 2015 01:20:45 +0000

mysql-workbench (6.3.4+dfsg-1build1) wily; urgency=medium

  * No-change rebuild against libtinyxml2.6.2v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 20:42:47 +0000

mysql-workbench (6.3.4+dfsg-1) unstable; urgency=low

  * New upstream release [June 2015] (Closes: #784729).
  * Upstream tarball signature verification.
  * get-orig-source: reproducible sort.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 17 Jun 2015 21:34:03 +1000

mysql-workbench (6.3.3+dfsg-1) unstable; urgency=low

  * New upstream release [April 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 27 Apr 2015 15:15:03 +1000
